You cannot install an update rollup for Exchange Server 2010 with a deployed GPO that defines a PowerShell execution policy for the server to be updated

Article translations Article translations
Article ID: 2467565 - View products that this article applies to.
Expand all | Collapse all

SYMPTOMS

You use a Group Policy object (GPO) to deploy a PowerShell execution policy for MachinePolicyor UserPolicy to all clients and all servers in a Microsoft Exchange Server 2010 environment. In this scenario, you cannot install an update rollup for Exchange Server 2010. For example, you cannot install Update Rollup 1 for Exchange Server 2010 or Exchange Server 2010 Service Pack 1 (SP1). Additionally, you receive the following error message:

[ERROR] The following error was generated when "$error.Clear(); & $RoleBinPath\ServiceControl.ps1 EnableServices Critical
" was run: "AuthorizationManager check failed.".
[ERROR] AuthorizationManager check failed.

CAUSE

This issue occurs because the WMI service is stopped during the installation process. The WMI service is necessary to communicate with the Active Directory directory service.

In a regular installation process, the WMI service is stopped by the "ServiceControl.ps1" PowerShell script at the beginning of the installation process, and is restarted at the end of the installation process by the same script. However, in the scenario that is described in the "Symptoms" section, the script cannot execute because it cannot call the WMI service to verify the execution permissions.

RESOLUTION

To resolve this issue, install the following update rollup:
2529939 Description of Update Rollup 3 for Exchange Server 2010 Service Pack 1

STATUS

Microsoft has confirmed that this is a problem in the Microsoft products that are listed in the "Applies to" section.

MORE INFORMATION

For more information, click the following article number to view the article in the Microsoft Knowledge Base:
981474 You receive error 1603 when you try to install the Exchange Server 2010 RU1

Properties

Article ID: 2467565 - Last Review: April 6, 2011 - Revision: 2.0
APPLIES TO
  • Microsoft Exchange Server 2010 Service Pack 1, when used with:
    • Microsoft Exchange Server 2010 Enterprise
    • Microsoft Exchange Server 2010 Standard
Keywords: 
kbqfe kbfix kbexpertiseinter kbhotfixrollup kbsurveynew KB2467565

Give Feedback

 

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com